    <h2>
        <span jhiTranslate="mpmApp.Travel.home.titleForm">Permohonan Perjalaan Lebih Dari 50 KM</span>
        <!-- <span>Permohonan Perjalaan 50 KM</span> -->
        <button class="btn btn-primary float-right jh-create-entity create-purchasing"
        [routerLink]="['travel-request-new']" >
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down" jhiTranslate="mpmApp.Travel.home.createButton">
                Tambah
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <br/>
    <p-dataTable
        [value]="picRoles"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        dataKey="idMasBahan"
        expandableRows="false"
        rowHover="true"
        (onLazyLoad)="loadDataLazy($event)"
        sortMode="multiple">
        <p-header>
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="Please Insert Number Doc">
                    <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </p-header>
        <p-column field="No" header="No" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="No Doc">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.noDoc}}
            </ng-template>
        </p-column>
        <p-column header="Tgl Buat" >
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtcreated | date:'dd-MM-yyyy HH:mm'}}
            </ng-template>
        </p-column>
        <p-column header="Nama">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.name}}
            </ng-template>
        </p-column>
        <p-column header="NIK">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.nik}}
            </ng-template>
        </p-column>
        <p-column header="Jabatan">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.jabatan}}
            </ng-template>
        </p-column>
        <p-column header="Dept.">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.div}}
            </ng-template>
        </p-column>
        <p-column header="Unit Krja.">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.loc}}
            </ng-template>
        </p-column>
        <p-column header="Status">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.status}}
            </ng-template>
        </p-column><p-column header="Desciption Status">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.catatan}}
            </ng-template>
        </p-column>
        <!-- <p-column header="Status Desc.">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.statDesc}}
            </ng-template>
        </p-column> -->
        <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="button"
                        [hidden]="(rowData.statustype > 5)"
                        (click)="reqAppoved(rowData.idTravel)"
                        label="Request Approve" class="ui-button-success">
                </button>
                <!-- <button pButton type="submit"
                        [routerLink]="['../travel-request/0/' + page + '/' + rowData..idTravel + '/edit']"
                        icon="fa-pencil"
                        pTooltip="Edit Permohonan"
                        [disabled]="(rowData.statustype > 5)"
                        class="flat-button">
                </button> -->
                <button pButton type="submit"
                        [hidden]="(rowData.statustype > 5)"
                        [routerLink]="['../travel-request/0/' + page + '/' + rowData.idTravel + '/edit']"
                        icon="fa-pencil"
                        pTooltip="Edit Permohonan"
                        class="flat-button">
                </button>
                <button pButton type="submit"
                        [hidden]="(rowData.statustype !== 12)"
                        [routerLink]="['../travel-request/0/' + page + '/' + rowData.idTravel + '/edit']"
                        icon="fa-pencil"
                        pTooltip="Edit Permohonan"
                        class="flat-button">
                </button>
                <!-- <button pButton type="submit"
                        [hidden]="(rowData.type === 'Reguler')"
                        (click)="printIDU(rowData.idcuti, rowData)"
                        icon="fa-print"
                        class="flat-button">
                </button> -->
                <button pButton type="submit"
                        [hidden]="(rowData.type === 'IDU/ITU')"
                        (click)="printReg(rowData.idTravel, rowData)"
                        icon="fa-print"
                        pTooltip="Cetak Form Permohonan"
                        class="flat-button">
                </button>
                <button pButton type="submit"
                        [hidden]="(rowData.statustype > 5)"
                        (click)="delete(rowData.idTravel)"
                        icon="fa-remove"
                        pTooltip="Cancel Permohonan"
                        class="flat-button">
                </button>
            </ng-template>
        </p-column>
        <!-- <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
        </p-column> -->
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>

<p-dialog header="Pilih Menu" [(visible)]="newModal" modal="true" [style]="{'width': '150px', 'text-align': 'center'}">
    <form name="editForm" role="form" novalidate #editForm="ngForm">
        <div class="card-deck" style="margin: 15px;">
            <div class="modal-footer">
                <button pButton type="submit"
                    label="Form Cuti" [routerLink]="['/annual-leave-new']"
                    class="ui-button-primary flat-label-button">
                </button>
            </div>
            <div class="modal-footer">
                <button pButton type="submit"
                    label="IDU / ITU" [routerLink]="['/annual-leave-idu-new']"
                    class="ui-button-primary flat-label-button">
                </button>
            </div>
        </div>
    </form>
</p-dialog>
<div style="margin-top: 10px;"></div>
<p-confirmDialog></p-confirmDialog>.
